Subject: [PATCH 0/3] powerpc/pseries: Update affinity index during memory dlpar

From: Nathan Fontenot <[email-masked]>
Date: Wed, 10 Feb 2016 11:08:53 -0600

When adding or removing a LMB the associativity index for the LMB
needs to be updated in the device tree property ibm,dynamic-memory.

Without updating the associativity index for a LMB before adding the
LMB it could be added with the incorrect affinity. For LMBs that are
not present at boot the associativity index in the device tree property
is set to 0xffffffff, the result being that the LMB is added to the
first online node. For an LMB that was present at boot but was later
DLPAR removed, the LMB associativity may be stale causing the LMB
to be added to the incorrect node.

This set of patches updates the memory DLPAR add path to discover the
associativity index for a LMB and update the device tree property prior
to adding the memory for that LMB. This also updates the DLPAR remove
path to set the associativity back to 0xffffffff when a LMB is removed.

Patch 1/3 refactors the dlpar LMB add code to make further updates easier,
there are no functional changes.

Patch 2/3 updates the add and remove paths to modify the associativity
index for the LMB being added or removed.

Patch 3/3 removes some no longer needed conversions of the device tree
property from BE to cpu format.

-Nathan

 hotplug-memory.c |  306 ++++++++++++++++++++++++++++++++++++++-----------------
 1 file changed, 214 insertions(+), 92 deletions(-)